# _heap_mem_header Struct Reference

Collaboration diagram for _heap_mem_header:

[legend]

## Data Fields

void * | ptr
size_t | size
_heap_mem_header * | prev
_heap_mem_header * | next

## Field Documentation

struct _heap_mem_header* _heap_mem_header::next

struct _heap_mem_header* _heap_mem_header::prev

void* _heap_mem_header::ptr

size_t _heap_mem_header::size

The documentation for this struct was generated from the following file:

- sdk/libc/alloc.c